import 'entity.base.dart';

class ChallengeReward extends Entity {
  ChallengeReward({
    String? id,
    String? createdAt,
    String? updatedAt,
  }) : super(id, createdAt, updatedAt);
}

class TokenReward extends ChallengeReward {
  final String status;
  final String name;
  final String description;
  final String image;
  final String tokenId;

  TokenReward({
    String? id,
    String? createdAt,
    String? updatedAt,
    required this.status,
    required this.name,
    required this.description,
    required this.image,
    required this.tokenId,
  }) : super(
          id: id,
          createdAt: createdAt,
          updatedAt: updatedAt,
        );

  factory TokenReward.fromJson(Map<String, dynamic> json) {
    return TokenReward(
      description: json['description'],
      image: json['image'],
      name: json['name'],
      status: json['status'],
      tokenId: json['token_id'],
    );
  }
}
